---
lang: en
title: 'API docs: repository-json-schema.stringtypetowrapper'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository-json-schema
permalink: /doc/en/lb4/apidocs.repository-json-schema.stringtypetowrapper.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [stringTypeToWrapper](./repository-json-schema.stringtypetowrapper.md)

## stringTypeToWrapper() function

Gets the wrapper function of primitives string, number, and boolean

**Signature:**

```typescript
export declare function stringTypeToWrapper(type: string | Function): Function;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string \| Function | Name of type |

**Returns:**

Function


